/************************ Adafruit IO Configuration *******************************/

// visit io.adafruit.com if you need to create an account,
// or if you need your Adafruit IO key.
#define IO_USERNAME    "isaabellpark"
#define IO_KEY         "aio_ENWa88Z7VBMYRIFxLyNpT7n5qM1E"

/******************************* WIFI Configuration **************************************/

#define WIFI_SSID       "SK_WiFiGIGAD076"
#define WIFI_PASS       "1905017960"

#include "AdafruitIO_WiFi.h"
AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);

/************************ Main Program Starts Here *******************************/
#include <ESP8266WiFi.h>
#include <AdafruitIO.h>
#include <Adafruit_MQTT.h>
#include <ArduinoHttpClient.h>
#define LED_PIN 13
#define MOTION_PIN 4

// button state
int current = 0;
int last = 0;

// set up the 'Command' feed
AdafruitIO_Feed *Command = io.feed("Command");

void setup() {
  pinMode(LED_PIN, OUTPUT);
  pinMode(MOTION_PIN, INPUT);

  // start the serial connection
  Serial.begin(115200);

  // connect to io.adafruit.com
  Serial.print("Connecting to Adafruit IO");
  io.connect();
  
  // set up a message handler for the 'Command' feed.
  // the handleMessage function (defined below)
  // will be called whenever a message is
  // received from adafruit io.
  Command->onMessage(handleMessage);

  // wait for a connection
  while(io.status() < AIO_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  // we are connected
  Serial.println();
  Serial.println(io.statusText());

}

void loop() {

  
  // io.run(); is required for all sketches.
  // it should always be present at the top of your loop
  // function. it keeps the client connected to
  // io.adafruit.com, and processes any incoming data.
  io.run();
  
  // grab the current state of the button.
  if(digitalRead(MOTION_PIN) == HIGH)
    current = 1;
  else
    current = 0;

  // return if the value hasn't changed
  if(current == last)
    return;
 
  digitalWrite(LED_PIN, current);
  
  last = current;
}

// this function is called whenever a 'Command' message
// is received from Adafruit IO. it was attached to
// the command feed in the setup() function above.
void handleMessage(AdafruitIO_Data *data) {

  int Command = data->toInt();

  if (Command == 1){ //light up the LED
    Serial.print("received <- ");
    Serial.println(Command);
     digitalWrite(LED_PIN, HIGH);
     delay(500);
     digitalWrite(LED_PIN, LOW);
  } else {
    Serial.print("received <- ");
    Serial.println(Command);
  }
}
